﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FlowBasis.Data
{
    public interface IUnitOfWork : IDataService
    {
        object New(Type mappedType);
        T New<T>() where T : class, new();

        void Insert(object value);        
        void Delete(object value);

        void Commit();
        void Rollback();
    }
}
