﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FlowBasis.Security
{
    public interface IUserContextService
    {
        bool IsAuthenticated { get; }

        object UserId { get; }
        string DisplayName { get; }

        bool HasPermission(string permissionName);
        void RequirePermission(string permissionName);
    }
}
