﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FlowBasis.Web.Mvc
{
    public class FlowBasisDependencyResolver : System.Web.Mvc.IDependencyResolver
    {

        public object GetService(Type serviceType)
        {
            return FlowBasis.Services.ServiceResolver.Instance.TryGet(serviceType);
        }

        public IEnumerable<object> GetServices(Type serviceType)
        {
            return FlowBasis.Services.ServiceResolver.Instance.GetAll(serviceType);
        }

    }
}
