﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FlowBasisSampleSite.Domain.Entities
{
    public class UserAccount
    {
        public virtual int? UserAccountId { get; set; }

        public virtual string UserToken { get; set; }
        public virtual string DisplayName { get; set; }

        public virtual bool IsDeleted { get; set; }

        public virtual byte[] PasswordHash { get; set; }
        public virtual byte[] PasswordSalt { get; set; }

        public virtual string PrimaryEmail { get; set; }
        public virtual bool IsPrimaryEmailVerified { get; set; }

        public virtual ICollection<Role> Roles { get; set; }
    }
}
